Name:           SLADE
Version:        3.2.6
Release:        1%{?dist}
Summary:        It's a Doom editor

License:        GPL-2.0-only
URL:            https://slade.mancubus.net/
Source0:        https://github.com/sirjuddington/SLADE/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: bzip2-devel
BuildRequires: cmake
BuildRequires: fmt-devel
BuildRequires: freeglut-devel
BuildRequires: freeimage-devel
BuildRequires: ftgl-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: glew-devel
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-base-devel
BuildRequires: gtk3-devel
BuildRequires: libcurl-devel
BuildRequires: libmodplug
BuildRequires: mpg123-devel
BuildRequires: SFML-devel
BuildRequires: p7zip-plugins
BuildRequires: wxBase-devel
BuildRequires: wxGTK-devel
BuildRequires: wxGTK-gl
BuildRequires: wxGTK-media
BuildRequires: wxGTK-webview
BuildRequires: lua-devel
BuildRequires: fluidsynth-devel
BuildRequires: desktop-file-utils

# thirdparty/CMakeLists.txt explicitly requests dumb>=1.0
Provides: bundled(dumb) = 0.9.3
Provides: bundled(fmt) = 8.1.1
Provides: bundled(glad) = 0.1.35
Provides: bundled(lunasvg) = 2.3.1
Provides: bundled(lzma) = 9.20
Provides: bundled(mus2mid)
Provides: bundled(sigslot)
Provides: bundled(sol) = 3.2.1
Provides: bundled(zreaders)

%description
SLADE3 is a modern editor for Doom-engine based games and source ports.
It has the ability to view, modify, and write many different game-specific formats,
and even convert between some of them, or from/to other generic formats such as PNG.

%prep
%autosetup

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DUSE_SYSTEM_FMT:BOOL=ON \
    -DUSE_SYSTEM_DUMB:BOOL=OFF \
    -DWX_GTK3:BOOL=ON \
    -DNO_WEBVIEW:BOOL=OFF \
    -DUSE_SFML_RENDERWINDOW:BOOL=OFF \
    -DNO_COTIRE:BOOL=OFF \
    -DNO_LUA:BOOL=OFF \
    -DNO_FLUIDSYNTH=OFF \
    -DBUILD_PK3=ON \
    -DCL_WX_CONFIG="wx-config-3.2"

%cmake_build

%install
%cmake_install
desktop-file-validate %{buildroot}%{_datadir}/applications/net.mancubus.SLADE.desktop

%files
%license LICENSE
%{_bindir}/slade
%dir %{_datadir}/slade3
%{_datadir}/slade3/slade.pk3
%{_datadir}/icons/hicolor/scalable/apps/net.mancubus.SLADE.svg
%{_datadir}/metainfo/net.mancubus.SLADE.metainfo.xml
%{_datadir}/applications/net.mancubus.SLADE.desktop

%changelog
* Sun Jan 05 2025 Danny Colin <contact@dannycolin.com> - 3.2.6-1
- Initial Build of version 3.2.6
